package com.bc_chat.im.service;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * author：Created by zhaohaoting on 2019/8/29
 * email：526309416@qq.com
 * desc：
 */
public class CommentPushEntity implements Parcelable {
    private String type;
    private String commentId;
    private String cid;

    protected CommentPushEntity(Parcel in) {
        type = in.readString();
        commentId = in.readString();
        cid = in.readString();
    }

    public static final Creator<CommentPushEntity> CREATOR = new Creator<CommentPushEntity>() {
        @Override
        public CommentPushEntity createFromParcel(Parcel in) {
            return new CommentPushEntity(in);
        }

        @Override
        public CommentPushEntity[] newArray(int size) {
            return new CommentPushEntity[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(type);
        dest.writeString(commentId);
        dest.writeString(cid);
    }

    public String getType() {
        return type;
    }

    public String getCommentId() {
        return commentId;
    }

    public String getCid() {
        return cid;
    }
}
